#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Net::SSLeay - Perl extension for using OpenSSL or SSLeay
Summary(pl.UTF-8):	Net::SSLeay - rozszerzenie Perla do używania OpenSSL lub SSLeay
Name:		perl-Net-SSLeay
Version:	1.85
Release:	3
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/Net-SSLeay-%{version}.tar.gz
# Source0-md5:	d602bdce4e0531c6efc276e3e429ca69
Patch0:		%{name}-no_zlib.patch
URL:		http://search.cpan.org/dist/Net-SSLeay/
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openssl-tools >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-Test-Simple >= 0.60_01
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module offers some high level convinience functions for accessing
web pages on SSL servers, a sslcat() function for writing your own
clients, and finally access to the SSL api of SSLeay/OpenSSL package
so you can write servers or clients for more complicated applications.

%description -l pl.UTF-8
Ten moduł oferuje kilka wygodnych funkcji wysokiego poziomu służących
do dostępu do stron WWW na serwerach SSL, funkcję sslcat() do pisania
własnych klientów, oraz dostęp do API SSL pakietu SSLeay/OpenSSL, co
pozwala na pisanie serwerów lub klientów dla bardziej skomplikowanych
aplikacji.

%prep
%setup -q -n Net-SSLeay-%{version}
%patch0 -p1

%build
echo "n" | %{__perl} Makefile.PL %{_prefix} \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:echo "n" | %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p examples/*.{pl,conf} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Net/SSLeay.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Credits LICENSE QuickRef README
%{perl_vendorarch}/Net/SSLeay.pm
%{perl_vendorarch}/Net/SSLeay
%dir %{perl_vendorarch}/auto/Net/SSLeay
%{perl_vendorarch}/auto/Net/SSLeay/autosplit.ix
%{perl_vendorarch}/auto/Net/SSLeay/*.al
%attr(755,root,root) %{perl_vendorarch}/auto/Net/SSLeay/SSLeay.so
%{_mandir}/man3/Net::SSLeay*.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Sep 15 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-SSLeay.git;a=log;h=master

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e3091be
- release 3 (by relup.sh)

* Sat Aug 25 2018 Marcin Krol <hawk@tld-linux.org> 283509a
- release 2

* Sun Apr 08 2018 Jan Palus <atler@pld-linux.org> 1310fbd
- up to 1.85

* Sat Jan 27 2018 Jan Palus <atler@pld-linux.org> fc4fa6c
- up to 1.84

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8339a4d
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 1c99289
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Sun May 07 2017 Jan Palus <atler@pld-linux.org> e085e57
- up to 1.81

* Sun Feb 12 2017 Jan Palus <atler@pld-linux.org> 75e6661
- up to 1.80

* Sat Dec 03 2016 Jakub Bogusz <qboosh@pld-linux.org> e9b3d67
- updated to 1.78

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a2db03f
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Sat Mar 05 2016 Elan Ruusamäe <glen@delfi.ee> 2756d62
- openssl 1.0.2g rebuild
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4ce2998
- release 2 (by relup.sh)

* Thu Dec 10 2015 Jan Palus <atler@pld-linux.org> b2c7746
- up to 1.72

* Sun Sep 20 2015 Jan Palus <atler@pld-linux.org> 4008dc7
- up to 1.71

* Sun Jun 14 2015 Jan Palus <atler@pld-linux.org> 5854cc8
- up to 1.69

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8542a61
- x32 rebuild
- release 3 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c1bd789
- x32 rebuild
- release 2 (by relup.sh)

* Sun Feb 08 2015 Jan Palus <atler@pld-linux.org> 59b1537
- up to 1.68

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> bcac4d2
- unified license name

* Wed Sep 24 2014 Łukasz Kieś <kiesiu@pld-linux.org> 6963e3f
- updated to 1.66
- new license

